<?xml version="1.0"?>
<schema xmlns="http://www.ascc.net/xml/schematron">
	<title>EML-UK 120-Inter Database</title>
	<ns prefix="eml" uri="urn:oasis:names:tc:evs:schema:eml"/>
	<ns prefix="apd" uri="http://www.govtalk.gov.uk/people/AddressAndPersonalDetails"/>
	<ns prefix="bs7666" uri="http://www.govtalk.gov.uk/people/bs7666-CORE"/>
	
	<pattern name="eml">
		<rule context="eml:AuditInformation/eml:ProcessingUnits">
			<assert id="3000-001" test="*[@Role='sender']">If there are processing units in the AuditInformation, one must have the role of sender</assert>
			<assert id="3000-002" test="*[@Role='receiver']">If there are processing units in the AuditInformation, one must have the role of receiver</assert>
		</rule>
		<rule context="eml:EML">
			<report id="3000-003" test="eml:SequenceNumber or eml:NumberInSequence or eml:SequencedElementName">This message must not contain the elements used for splitting</report>
			<assert id="3000-004" test="@Id='120'">The value of the Id attribute of the EML element is incorrect</assert>
			<assert id="3000-005" test="eml:InterDb">The message type must match the Id attribute of the EML element</assert>
		</rule>
	</pattern>
	
	<pattern name="eml-ukcore">
		<rule context="eml:EML">
			<assert id="4000-001" test="eml:Seal">A Seal must be present</assert>
		</rule>
		<rule context="eml:OtherSeal">
			<assert id="4000-003" test="@Type='RFC2630' or @Type='RFC3161'">If a seal is of type OtherSeal, the Type attribute must have a value of RFC2630 or RFC3161</assert>
		</rule>
		<rule context="eml:Contact">
			<assert id="4000-004" test="*">There must be at least one child of a Contact element</assert>
		</rule>
		<rule context="eml:VoterContact">
			<assert id="4000-005" test="*">There must be at least one child of a VoterContact element</assert>
		</rule>
	</pattern>

	<pattern name="eml-120">
	</pattern>
	
	<pattern name="eml-120-ukcore">
		<rule context="eml:Voter">
			<report id="4120-101" test="eml:VoterInformation/eml:Affiliation">Affiliation is not used</report>
			<report id="4120-102" test="eml:VoterInformation/eml:PlaceOfBirth">PlaceOfBirth is not used</report>
			<report id="4120-103" test="eml:VoterInformation/eml:Eligibility">Eligibility is not used</report>
			<report id="4120-104" test="eml:VoterInformation/eml:Gender">Gender is not used</report>
			<report id="4120-105" test="eml:VoterInformation/eml:Nationality">Nationality is not used</report>
			<report id="4120-106" test="eml:VoterInformation/eml:Ethnicity">Ethnicity is not used</report>
		</rule>
		<rule context="eml:Qualifier">
			<report id="4120-107" test="not(.='A'  or .='L' or .='U' or .='F' or .='E' or .='G' or .='K' or .='Y' or .='OE' or .='overseas')">The eml:Qualifier may only have the values "A", "L", "U", "F", "E", "G", "K", "Y", "OE", or "overseas"</report>
		</rule>
		<rule context="eml:VoterInformation">
			<report id="4120-108" test="(eml:Qualifier='L' and (eml:Qualifier='U' or eml:Qualifier='F' or eml:Qualifier='E' or eml:Qualifier='G' or eml:Qualifier='K' )) or 
																	(eml:Qualifier='U' and (eml:Qualifier='F' or eml:Qualifier='E' or eml:Qualifier='G' or eml:Qualifier='K' ))  or 
																	(eml:Qualifier='F' and (eml:Qualifier='E' or eml:Qualifier='G' or eml:Qualifier='K' ))  or 
																	(eml:Qualifier='E' and (eml:Qualifier='G' or eml:Qualifier='K' ))  or 
																	(eml:Qualifier='G' and eml:Qualifier='K' )">The Qualifiers "L", "U", "F", "E", "G" and "K" are mutually exclusive</report>
			<report id="4120-109" test="eml:Qualifier='Y' and (eml:Qualifier='L' or eml:Qualifier='U' or eml:Qualifier='F' or eml:Qualifier='E')">The Qualifier "Y" must not appear with the Qualifier "L", "U", "F" or "E"</report>
			<report id="4120-110" test="eml:Qualifier='Y' and not(eml:Qualifier='G' or eml:Qualifier='K')">The Qualifier "Y" must appear with the Qualifier "G" or "K"</report>
		</rule>
		<rule context="eml:Action">
				<report id="4120-001" test="not(.='add' or .='delete' or .='replace' or .='confirm' or .='return')">The value for Action must be one of "add", "delete", "replace", "confirm" or "return"</report>
	
		</rule>
	</pattern>
</schema>
