<?xml version="1.0"?>
<schema xmlns="http://www.ascc.net/xml/schematron">
	<title>EML-UK 470 - VToken Log</title>
	<ns prefix="eml" uri="urn:oasis:names:tc:evs:schema:eml"/>
	<ns prefix="apd" uri="http://www.govtalk.gov.uk/people/AddressAndPersonalDetails"/>
	<ns prefix="bs7666" uri="http://www.govtalk.gov.uk/people/bs7666"/>

	<pattern name="eml">
		<rule context="eml:AuditInformation/eml:ProcessingUnits">
			<assert id="3000-001" test="*[@Role='sender']">If there are processing units in the AuditInformation, one must have the role of sender</assert>
			<assert id="3000-002" test="*[@Role='receiver']">If there are processing units in the AuditInformation, one must have the role of receiver</assert>
		</rule>
		<rule context="eml:EML">
			<assert id="3000-004" test="@Id='470'">The value of the Id attribute of the EML element is incorrect</assert>
			<assert id="3000-005" test="eml:VTokenLog">The message type must match the Id attribute of the EML element</assert>
		</rule>
	</pattern>
	
	<pattern name="split">
		<rule context="eml:EML[eml:SequenceNumber]">
			<assert id="3000-006" test="eml:SequencedElementName='VTokens'">The sequenced element name is incorrect</assert>
		</rule>
	</pattern>

	<pattern name="eml-ukcore">
		<rule context="eml:EML">
			<assert id="4000-001" test="eml:Seal">A Seal must be present</assert>
			<assert id="4000-101" test="*/eml:AuditInformation/eml:ProcessingUnits/*">AuditInformation is mandatory and must have at least one ProcessingUnit</assert>
		</rule>
		<rule context="eml:OtherSeal">
			<assert id="4000-003" test="@Type='RFC2630' or @Type='RFC3161'">If a seal is of type OtherSeal, the Type attribute must have a value of RFC2630 or RFC3161</assert>
		</rule>
		<rule context="eml:Contact">
			<assert id="4000-004" test="*">There must be at least one child of a Contact element</assert>
		</rule>
		<rule context="eml:VoterContact">
			<assert id="4000-005" test="*">There must be at least one child of a VoterContact element</assert>
		</rule>
	</pattern>
	
	<pattern name="eml-470">
	</pattern>

	<pattern name="eml-470-ukcore">
		<rule context="eml:VTokenLog">
			<assert id="4470-001" test="eml:ElectionIdentifier">The election identifier is mandatory</assert>
		</rule>
		<rule context="eml:VTokens">
			<assert id="4470-002" test="eml:VotingChannel">The voting channel is mandatory</assert>
		</rule>
	</pattern>
</schema>
